Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.repository
Class DescriptionRepository

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.repository.AbstractRepository
              kieker.tools.traceAnalysis.repository.DescriptionRepository

All Implemented Interfaces:
  IAnalysisComponent, IRepository

    public class DescriptionRepository

extends AbstractRepository

Implementation of a description repository which stores descriptions for names.

Since:
  1.6
Author:
  Holger Knoche

Nested Class Summary
`static class` | `DescriptionRepository.DescriptionRepositoryData` This class groups the data required for a `DescriptionRepository`.

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_DESCRIPTION_FILE_NAME` Name of the configuration property that contains the file name of the description file.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`DescriptionRepository(Configuration configuration, DescriptionRepository.DescriptionRepositoryData descriptionData, IProjectContext projectContext)` Creates a new description repository using the given data.
`DescriptionRepository(Configuration configuration, IProjectContext projectContext)` Creates a new description repository using the given configuration.

Method Summary
`static DescriptionRepository` | `createFromFile(String fileName, IProjectContext projectContext)` Initializes a new description repository from the given file.
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`Map<String,String>` | `getDescriptionMap()` Returns the description map (node id -> description) contained in this repository.

Methods inherited from class kieker.analysis.repository.AbstractRepository
`getRepositoryDescription, getRepositoryName`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.analysisComponent.IAnalysisComponent
`getName`

Field Detail

### CONFIG_PROPERTY_NAME_DESCRIPTION_FILE_NAME

    public static final String CONFIG_PROPERTY_NAME_DESCRIPTION_FILE_NAME

  Name of the configuration property that contains the file name of the description file.

  See Also:
    Constant Field Values

Constructor Detail

### DescriptionRepository

    public DescriptionRepository(Configuration configuration,
                                 IProjectContext projectContext)
                          throws IOException

  Creates a new description repository using the given configuration.

  Parameters:
    `configuration` - The configuration to use
    `projectContext` - The project context for this plugin.
  Throws:
    `IOException` - If an I/O error occurs during initialization

### DescriptionRepository

    public DescriptionRepository(Configuration configuration,
                                 DescriptionRepository.DescriptionRepositoryData descriptionData,
                                 IProjectContext projectContext)

  Creates a new description repository using the given data.

  Parameters:
    `configuration` - The configuration to use
    `descriptionData` - The description data to use
    `projectContext` - The project context to use.

Method Detail

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### getDescriptionMap

    public Map<String,String> getDescriptionMap()

  Returns the description map (node id -> description) contained in this repository.

  Returns:
    See above

### createFromFile

    public static DescriptionRepository createFromFile(String fileName,
                                                       IProjectContext projectContext)
                                                throws IOException

  Initializes a new description repository from the given file.

  Parameters:
    `fileName` - The name of the file to use.
    `projectContext` - The project context to use.
  Returns:
    The initialized description repository
  Throws:
    `IOException` - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net